---
- name: Configure switchd
  ansible.builtin.template:
    src: switchd.conf.j2
    dest: /etc/cumulus/switchd.conf
    owner: root
    group: root
    mode: 0644
  notify:
    - restart_switchd
  tags:
    - switchd

- name: Configure ACL's
  include_tasks: acl.yml
  loop: "{{ cumulus_acls }}"
  loop_control:
    loop_var: acl
  args:
    apply:
      tags: acl
  when:
    - (cumulus_acls is defined)
    - (cumulus_acls | length)
  tags:
    - acl

- name: Configure port speed for border leafs
  ansible.builtin.copy:
    src: ports-border
    dest: /etc/cumulus/ports.conf
    backup: true
    owner: root
    group: root
    mode: 0644
  when: "'borderleafs' in group_names"
  notify: restart_switchd
  tags:
    - ports

- name: Configure network interfaces
  ansible.builtin.template:
    src: interfaces.j2
    dest: /etc/network/interfaces
    validate: ifup -a -s -i %s
    backup: true
    owner: root
    group: root
    mode: 0644
  notify: reload_networking
  tags:
    - interfaces

- name: Set FRR daemons file
  ansible.builtin.template:
    src: daemons.j2
    dest: /etc/frr/daemons
    backup: true
    owner: frr
    group: frr
    mode: 0644
  notify: restart_frr
  tags:
    - frr

- name: Set FRR configuration
  ansible.builtin.template:
    src: frr.j2
    dest: /etc/frr/frr.conf
    validate: /usr/bin/vtysh -C -f %s
    backup: true
    owner: frr
    group: frr
    mode: 0644
  notify:
    - reload_networking
    - reload_frr
  tags:
    - frr
...
